%Script 1- Main script for Model- Ang-Tie interactions
%FULL MODEL - Ang1, Ang2, sTie2

% set parameters global, so they can be used in the ODE function.
global k1;
global k_1;
global k2; 
global k_2;
global k3;
global k_3;
global k4;
global k_4;
global k5;
global k_5;
%global V6; %dephos
%global K6; %dephos
global k7;
global k8;

global k9;
global k10;
global k11;
global k12;

global k13;

global k14;
global k_14;

global k15;
global k_15;

global k16;
global k_16;
global k17;
global k_17;

global k18;
global k_18;
global k19;
global k_19;
global k20;
global k_20;

global k21;
global k_21;
global k22;
global k_22;
global k23;
global k_23;
global k24;
global k_24;
global k25;
global k_25;
%global V26; %dephos
%global K26; %dephos

global k27;
global k_27
global k28;
global k_28
global k29;
global k_29;

global k30;
global k_30;
global k31;
global k_31;
global k32;
global k_32;



% set parameter values
k1 = 0.0094; %Ang1 binding to Tie2 Monomer
k_1 = 0.0043;
k2 = 0.5; %Dimer
k_2 = 0.1;
k3 = 0.5; %Trimer
k_3 = 0.1;
k4 = 0.5; %Tetramer
k_4 = 0.1;  
k5 = 1; %Phosphorylation
k_5 = 0.01;
%V6 = 13030.3; %dephosphorylation
%K6 = 104000; %dephosphorylation
k7 = 0.00684; %internalisation
k8 = 0.000684; % degradation

k9 = 0.00684; % Ang1 mono internalisation
k10 = 0.00684; % Ang1 di internalisation
k11 = 0.00684; % Ang1 tri internalisation
k12 = 0.00684; % Ang1 tetra internalisation

k13 = 0.00042; %Tie2 replenishment

k14 = 0.00000000000171; %Tie1:Tie2
k_14 = 0.1;

k15 = 0.0094; %Ang1 binding to sTie2 Monomer
k_15 = 0.0043;

k16 = 0.0094; %(Ang2)2 binding to Tie2 Monomer
k_16 = 0.0096;
k17 = 0.5; %Dimer
k_17 = 0.1;

k18 = 0.0094; %(Ang2)3 binding to Tie2 Monomer
k_18 = 0.0096;
k19 = 0.5; %Dimer
k_19 = 0.1;
k20 = 0.5; %Trimer
k_20 = 0.1;

k21 = 0.0094; %(Ang2)4 binding to Tie2 Monomer
k_21 = 0.0096;
k22 = 0.5; %Dimer
k_22 = 0.1;
k23 = 0.5; %Trimer
k_23 = 0.1;
k24 = 0.5; %Tetramer
k_24 = 0.1;  
k25 = 1; %Phosphorylation
k_25 = 0.01;
%V26 = 13030.3; %dephosphorylation
%K26 = 104000; %dephosphorylation

k27 = 0.0094; %(Ang2)2 binding to Tie1:Tie2 
k_27 = 0.0096;
k28 = 0.0094; %(Ang2)3 binding to Tie1:Tie2 
k_28 = 0.0096;
k29 = 0.0094; %(Ang2)4 binding to Tie1:Tie2 
k_29 = 0.0096;

k30 = 0.0094; %(Ang2)2 binding to sTie2
k_30 = 0.0096;
k31 = 0.0094; %(Ang2)3 binding to sTie2
k_31 = 0.0096;
k32 = 0.0094; %(Ang2)4 binding to sTie2
k_32 = 0.0096;


% set initial conditions
x = zeros(37,1);
x(1) = 0.179; %Ang1
x(2) = 0.01495; %Tie2
x(15) = 0.00745; %Tie1
x(16) = 0.01495; %Tie1:Tie2
x(14) = 0.0299; %new Tie2
%x(17) = 1; %sTie2
%x(19) = 1.071; %(Ang2)2
%x(22) = 0.086; %(Ang2)3
%x(26) = 0.114; %(Ang2)4



[T,Y] = ode23s(@ModelODEs_Thesis,[0 1800],x); %options;

figure;
title('Timecourse of Tie1 and Tie2 steady state', 'FontWeight', 'bold');
plot(T,Y(:,2), 'r', T,Y(:,15), 'b', T,Y(:,16), 'g');
legend('Tie2', 'Tie1', 'Tie1:Tie2');
xlabel('Time (sec.)');
ylabel('Concentration (nM)');

figure;
plot(T,Y(:,14));
legend('nTie2');
xlabel('Time (sec.)');
ylabel('Concentration (nM)');

figure;
title('Timecourse of Ang1-Tie2 Phosphorylation','FontWeight','bold');
plot(T,Y(:,7), 'r', T,Y(:,8), 'b', T,Y(:,9), 'g');
legend('Ang1-pTie2', 'i-pTie2', 'd-pTie2');
xlabel('Time (sec.)');
ylabel('Concentration (nM)');

figure;
title('Timecourse of (Ang2)4 induced phosphorylation','FontWeight','bold');
plot(T,Y(:,31));
legend('(Ang2)4-pTie2');
xlabel('Time (sec.)');
ylabel('Concentration (nMol.)');
